'use client';
import { getTheme } from '@ui5/webcomponents-base/dist/config/Theme.js';
import { attachThemeLoaded, detachThemeLoaded } from '@ui5/webcomponents-base/dist/Theming.js';
import { useEffect, useState } from 'react';
export function useCurrentTheme() {
    const [theme, setLocalTheme] = useState(getTheme());
    useEffect(() => {
        const onThemeSwitch = (newTheme) => {
            setLocalTheme(newTheme);
        };
        attachThemeLoaded(onThemeSwitch);
        return () => {
            detachThemeLoaded(onThemeSwitch);
        };
    }, []);
    return theme;
}
