'use client';
import I18nBundle from '@ui5/webcomponents-base/dist/i18nBundle.js';
import { useEffect, useSyncExternalStore } from 'react';
import { I18nStore } from '../stores/I18nStore.js';
const defaultBundle = new I18nBundle('defaultBundle');
export const useI18nBundle = (bundleName) => {
    const bundles = useSyncExternalStore(I18nStore.subscribe, I18nStore.getSnapshot, I18nStore.getServerSnapshot);
    useEffect(() => {
        I18nStore.loadBundle(bundleName);
    }, [bundleName]);
    return bundles[bundleName] ?? defaultBundle;
};
