export declare const deprecationNotice: (component: string, message: string) => void;
type EnrichedEventType<Event, Detail> = Event & {
    detail: Detail & {
        nativeDetail?: number;
    };
};
export declare const enrichEventWithDetails: <Event extends {
    detail?: number | Record<string, unknown> | null;
}, Detail extends Record<string, unknown>>(event: Event, payload: Detail) => EnrichedEventType<Event, Detail>;
export declare function getUi5TagWithSuffix(baseTagName: string): string;
export { debounce } from './debounce.js';
export { throttle } from './throttle.js';
export declare const capitalizeFirstLetter: (s: string) => string;
export declare const lowercaseFirstLetter: (s: string) => string;
export declare const camelToKebabCase: (s: string) => string;
export declare const kebabToCamelCase: (str: string) => string;
export declare function parseSemVer(version: string): {
    version: string;
    major: number;
    minor: number;
    patch: number;
    prerelease: string;
    buildMetadata: string;
};
