import type { Ui5DomRef } from '../types/index.js';
export interface WithWebComponentPropTypes {
    /**
     * Defines whether the component should wait for the underlying custom element of the web component to be defined. This can be useful, for example, for using instance methods when mounting the component.
     *
     * __Note:__ This adds a rendering cycle to your component.
     */
    waitForDefine?: boolean;
}
export declare const withWebComponent: <Props extends Record<string, any>, RefType = Ui5DomRef>(tagName: string, regularProperties: string[], booleanProperties: string[], slotProperties: string[], eventProperties: string[]) => import("react").ForwardRefExoticComponent<import("react").PropsWithoutRef<Props & WithWebComponentPropTypes> & import("react").RefAttributes<RefType>>;
